cURL
curl --request POST \
--url https://app.allyy.io/api/data/v1.0/customer/{customerId}/dataset/{dataSetId}/datasource/Naviga/{datasourceId}/synchronization \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.allyy.io/api/data/v1.0/customer/{customerId}/dataset/{dataSetId}/datasource/Naviga/{datasourceId}/synchronization"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.allyy.io/api/data/v1.0/customer/{customerId}/dataset/{dataSetId}/datasource/Naviga/{datasourceId}/synchronization', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"errors": [
{
"code": "<string>",
"message": "<string>"
}
],
"validation": [
{
"property": "<string>",
"message": "<string>"
}
],
"info": {}
},
"data": {
"uploadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"datasourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"linesProcessed": 123,
"contactsCount": 123,
"offersCount": 123,
"treatmentsCount": 123,
"contentItemsCount": 123,
"responsesCount": 123,
"treatmentContactsCount": 123,
"subscriptionsCount": 123,
"insertionExceptions": {
"warnings": {},
"errors": {}
},
"lastSyncedEntityDate": "2023-11-07T05:31:56Z"
}
}Data API
Start Naviga synchronization
POST
/
api
/
data
/
v1.0
/
customer
/
{customerId}
/
dataset
/
{dataSetId}
/
datasource
/
Naviga
/
{datasourceId}
/
synchronization
cURL
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Query Parameters
⌘I